Subject: Réf. : Re: Scrolling problems with rxvt.
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Tue, 31 Jul 2001 13:19:06 -0500

Greetings.

  Actually, the problem does not occur in an editor like vim, but when at the bash
  prompt.  What you explained is right, but it is not the problem I suffer from.  I
  am at my bash prompt, run a command like ls -l, then scroll up the window and
  behold, the data shown is not that of the beginning of the ls -l command.

  There seams to be serious problem with the buffer/scrolling routines of rxvt.

Thanks for replying.
Hans

Charles Wilson <[email-masked]> le 07/31/2001 10:50:12 AM

Pour :    hans_deragon/visa/[email-masked]
cc :  [email-masked]
Objet :   Re: Scrolling problems with rxvt.

[email-masked] wrote:

>   http://sources.redhat.com/ml/cygwin/2001-06/msg00652.html -->
>   When scrolling up past 1 screen in the rxvt term, what you see is not
>   what is just preceeding in the file - stuff is lost and what you see is
>   much earlier (older) output.
>   <--

Not exactly.  You see, some programs (like less and vi) actually use a
secondary display buffer.  If you use the arrow keys, you can tell less
(or vi) to change what portion of the file they display in that
one-screenfull-tall buffer.  However, if you use the scroll bar, you
then see the primary buffer contents.

That is, less/vim will always ONLY control ONE screenful of data.  If
you scroll OUT of that screenful, then you see .... bash?

This behavior is what allows bash(?) to restore the previous "bash"
display after you exit vi or less.

Summary: not a bug.

>   http://sources.redhat.com/ml/cygwin/2001-06/msg00390.html -->
>   running the latest version of rxvt it appears that, under certain
>   conditions (several hours of use), the scroll bar "fills up" and no
>   longer functions. That is, it looks exactly like it does when the
>   window is created and there is nothing to scroll.
>   <--

I use rxvt exclusively, in both X and native modes.  I've never seen this.

--Chuck

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/